
Ryzom - Bug # 1438

Status: New Priority: Normal
Author: Botanic Category: Client: General
Created: 03/01/2012 Assignee: sfb
Updated: 04/30/2012 Due date:
Subject: Create account not working in client
Description

It hangs the client attached is a patch that adds php files that make it work when they are used as the CreateAccountURL.

History
#1 - 03/01/2012 09:02 am - Botanic
- File 1875.patch added

need this patch as well for css and removal of redundant function

#2 - 03/01/2012 05:37 pm - kaetemi

I don't like the hardcoded values. :)

#3 - 04/26/2012 08:18 pm - sfb
- Assignee changed from Botanic to sfb
- Target version set to Version 0.9.0

I'll take this and remove the hard coding.

#4 - 04/27/2012 07:56 am - nimetu

1874.patch has possible sql injection in createUser() from $email field.

$email is checked with validEmail() and allows email like ["\'; SQL"@example.com] (this actually should be valid email address)
there should be line [$email=mysql_real_escape_string($email);] just before sql $query is created.

$login is checked with checkUser() to only allow alpha-numeric chars and is safe to use.

... also checkUser() and checkEmail() both return 'success' when the actual field is not set.

#5 - 04/30/2012 11:23 pm - Botanic

while this obviously has issues, I more mean it to be a demonstration on how to do it, we need to build this into web services anyways....

Files
1874.patch 23 kB 03/01/2012 Botanic
1875.patch 6.9 kB 03/01/2012 Botanic
